Skip to main content
GET
/
metrics
/
v2
/
networks
/
{entityIdentifier}
/
metrics
/
{datasetSlug}
/
time-series
/
{granularity}
Get network timeseries data
curl --request GET \
  --url https://api.messari.io/metrics/v2/networks/{entityIdentifier}/metrics/{datasetSlug}/time-series/{granularity} \
  --header 'X-Messari-API-Key: <api-key>'
{
  "error": null,
  "data": {
    "points": [
      [
        1748736000,
        256072,
        483411,
        null,
        null
      ],
      [
        1748822400,
        346488,
        552790,
        null,
        null
      ],
      [
        1748908800,
        358895,
        608701,
        null,
        null
      ],
      [
        1748995200,
        337037,
        502560,
        null,
        null
      ],
      [
        1749081600,
        320509,
        539048,
        null,
        null
      ]
    ]
  },
  "metadata": {
    "pointSchemas": [
      {
        "name": "Timestamp",
        "slug": "time",
        "description": "Timestamp of the data point.",
        "is_timestamp": true
      },
      {
        "name": "Daily Transactions",
        "slug": "txnCount24Hour",
        "description": "The number of successful and unsuccessful transactions in a day.",
        "is_timestamp": false
      },
      {
        "name": "Daily Active Addresses",
        "slug": "activeAddresses24Hour",
        "description": "The number of new and returning unique wallet addresses that send a transaction in a day.",
        "is_timestamp": false
      },
      {
        "name": "New Contracts Deployed 24 Hour",
        "slug": "newContractsDeployed24Hour",
        "description": "The number of new contracts deployed in a day.",
        "is_timestamp": false
      },
      {
        "name": "Contract Deployers 24 Hour",
        "slug": "contractDeployers24Hour",
        "description": "",
        "is_timestamp": false
      }
    ],
    "granularity": "1d"
  }
}
x402 Support: Supported (conditions apply). Conditions: x402 is available only when granularity is one of 5m, 15m, 1h, 1d. See the x402 guide.

Granularity Parameter

The granularity path parameter controls the time interval for each data point.
GranularityDescription
5m5-minute data points
15m15-minute data points
1hHourly data points
1dDaily data points

Authorizations

X-Messari-API-Key
string
header
required

Path Parameters

entityIdentifier
string
default:ethereum
required

Entity ID or slug

datasetSlug
enum<string>
default:activity
required

Dataset slug

Available options:
activity,
ecosystem,
financial,
stablecoin
Example:

"activity"

granularity
enum<string>
default:1d
required

Granularity

Available options:
1m,
5m,
15m,
30m,
1h,
6h,
1d,
1w,
30d,
1q,
1y
Example:

"1d"

Query Parameters

start
string
default:2025-05-01T00:00:00Z

Time range start

end
string
default:2025-06-01T00:00:00Z

Time range end

Response

Default response

data
object
required
error
string
metadata
object